# Class RECharacter

java.lang.Object
com.codename1.util.regex.RECharacter

public abstract class RECharacter extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final byte`
  `COMBINING_SPACING_MARK`
  `static final byte`
  `CONNECTOR_PUNCTUATION`
  `static final byte`
  `CONTROL`
  `static final byte`
  `CURRENCY_SYMBOL`
  `static final byte`
  `DASH_PUNCTUATION`
  `static final byte`
  `DECIMAL_DIGIT_NUMBER`
  `static final byte`
  `ENCLOSING_MARK`
  `static final byte`
  `END_PUNCTUATION`
  `static final byte`
  `FORMAT`
  `static final byte`
  `LETTER_NUMBER`
  `static final byte`
  `LINE_SEPARATOR`
  `static final byte`
  `LOWERCASE_LETTER`
  `static final byte`
  `MATH_SYMBOL`
  `static final byte`
  `MODIFIER_LETTER`
  `static final byte`
  `MODIFIER_SYMBOL`
  `static final byte`
  `NON_SPACING_MARK`
  `static final byte`
  `OTHER_LETTER`
  `static final byte`
  `OTHER_NUMBER`
  `static final byte`
  `OTHER_PUNCTUATION`
  `static final byte`
  `OTHER_SYMBOL`
  `static final byte`
  `PARAGRAPH_SEPARATOR`
  `static final byte`
  `PRIVATE_USE`
  `static final byte`
  `SPACE_SEPARATOR`
  `static final byte`
  `START_PUNCTUATION`
  `static final byte`
  `SURROGATE`
  `static final byte`
  `TITLECASE_LETTER`
  `static final byte`
  `UNASSIGNED`
  `static final byte`
  `UPPERCASE_LETTER`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RECharacter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static byte`
  `getType(char c)`
  `static boolean`
  `isDigit(char c)`
  `static boolean`
  `isJavaIdentifierPart(char c)`
  `static boolean`
  `isJavaIdentifierStart(char c)`
  `static boolean`
  `isLetter(char c)`
  `static boolean`
  `isLetterOrDigit(char c)`
  `static boolean`
  `isSpaceChar(char c)`
  `static boolean`
  `isWhitespace(char c)`
  `static char`
  `toLowerCase(char c)`
  `static char`
  `toUpperCase(char c)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### UNASSIGNED

    public static final byte UNASSIGNED
    See Also:
      - Constant Field Values

  - ### UPPERCASE_LETTER

    public static final byte UPPERCASE_LETTER
    See Also:
      - Constant Field Values

  - ### LOWERCASE_LETTER

    public static final byte LOWERCASE_LETTER
    See Also:
      - Constant Field Values

  - ### TITLECASE_LETTER

    public static final byte TITLECASE_LETTER
    See Also:
      - Constant Field Values

  - ### MODIFIER_LETTER

    public static final byte MODIFIER_LETTER
    See Also:
      - Constant Field Values

  - ### OTHER_LETTER

    public static final byte OTHER_LETTER
    See Also:
      - Constant Field Values

  - ### NON_SPACING_MARK

    public static final byte NON_SPACING_MARK
    See Also:
      - Constant Field Values

  - ### ENCLOSING_MARK

    public static final byte ENCLOSING_MARK
    See Also:
      - Constant Field Values

  - ### COMBINING_SPACING_MARK

    public static final byte COMBINING_SPACING_MARK
    See Also:
      - Constant Field Values

  - ### DECIMAL_DIGIT_NUMBER

    public static final byte DECIMAL_DIGIT_NUMBER
    See Also:
      - Constant Field Values

  - ### LETTER_NUMBER

    public static final byte LETTER_NUMBER
    See Also:
      - Constant Field Values

  - ### OTHER_NUMBER

    public static final byte OTHER_NUMBER
    See Also:
      - Constant Field Values

  - ### SPACE_SEPARATOR

    public static final byte SPACE_SEPARATOR
    See Also:
      - Constant Field Values

  - ### LINE_SEPARATOR

    public static final byte LINE_SEPARATOR
    See Also:
      - Constant Field Values

  - ### PARAGRAPH_SEPARATOR

    public static final byte PARAGRAPH_SEPARATOR
    See Also:
      - Constant Field Values

  - ### CONTROL

    public static final byte CONTROL
    See Also:
      - Constant Field Values

  - ### FORMAT

    public static final byte FORMAT
    See Also:
      - Constant Field Values

  - ### PRIVATE_USE

    public static final byte PRIVATE_USE
    See Also:
      - Constant Field Values

  - ### SURROGATE

    public static final byte SURROGATE
    See Also:
      - Constant Field Values

  - ### DASH_PUNCTUATION

    public static final byte DASH_PUNCTUATION
    See Also:
      - Constant Field Values

  - ### START_PUNCTUATION

    public static final byte START_PUNCTUATION
    See Also:
      - Constant Field Values

  - ### END_PUNCTUATION

    public static final byte END_PUNCTUATION
    See Also:
      - Constant Field Values

  - ### CONNECTOR_PUNCTUATION

    public static final byte CONNECTOR_PUNCTUATION
    See Also:
      - Constant Field Values

  - ### OTHER_PUNCTUATION

    public static final byte OTHER_PUNCTUATION
    See Also:
      - Constant Field Values

  - ### MATH_SYMBOL

    public static final byte MATH_SYMBOL
    See Also:
      - Constant Field Values

  - ### CURRENCY_SYMBOL

    public static final byte CURRENCY_SYMBOL
    See Also:
      - Constant Field Values

  - ### MODIFIER_SYMBOL

    public static final byte MODIFIER_SYMBOL
    See Also:
      - Constant Field Values

  - ### OTHER_SYMBOL

    public static final byte OTHER_SYMBOL
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RECharacter

    public RECharacter()

- ## Method Details

  - ### toLowerCase

    public static char toLowerCase(char c)

  - ### toUpperCase

    public static char toUpperCase(char c)

  - ### isWhitespace

    public static boolean isWhitespace(char c)

  - ### isDigit

    public static boolean isDigit(char c)

  - ### isLetter

    public static boolean isLetter(char c)

  - ### isLetterOrDigit

    public static boolean isLetterOrDigit(char c)

  - ### isSpaceChar

    public static boolean isSpaceChar(char c)

  - ### isJavaIdentifierStart

    public static boolean isJavaIdentifierStart(char c)

  - ### isJavaIdentifierPart

    public static boolean isJavaIdentifierPart(char c)

  - ### getType

    public static byte getType(char c)